Skip to navigation

Add Business Units

View as Markdown
Partner Restricted

All background check API endpoints are restricted to background check providers that have signed a Paylocity technology partnership agreement. Please reach out to Techpartnerships@paylocity.com if you would like to discuss partnership opportunities.

Summary Description

This endpoint inserts package businessUnits and their status by companyId for a given client

Use Cases

  • Partner wants to send over one or multiple package businessUnits for a client, can be when onboarding a new client, or can be when client adds new businessUnits to their company
  • Partner wants to make bulk changes to package businessUnits to make them either active or inactive for a client

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired

Headers

testModebooleanOptional
If true all responses are mocked and generated randomly
AcceptstringOptional

Request

This endpoint expects an object.

Response

Successful response